---
title: "Change a disconnected character's password"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/reset-saved-player-password/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Change a disconnected character's password

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

POST

/admin/characters/{name}/password

FetchcURL

```
const url = 'https://example.com/admin/characters/example/password';const options = {  method: 'POST',  headers: {'Content-Type': 'application/json'},  body: '{"password":"example","revision":"example"}'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request POST \  --url https://example.com/admin/characters/example/password \  --header 'Content-Type: application/json' \  --data '{ "password": "example", "revision": "example" }'
```

## Parameters

### Path Parameters

**name**

required

string

## Request Bodyrequired

application/json

object

**password**

required

string

\>= 8 characters <= 72 characters

**revision**

required

string

\>= 64 characters <= 64 characters

### Example generated

```
{  "password": "example",  "revision": "example"}
```

## Responses

### 200

OK

application/json

object

**equipment**

required

Array<object> | null

object

**container**

required

boolean

**count**

required

integer format: int64

**index**

required

integer format: int64

**locate**

required

integer format: int64

**name**

required

string

**no\_rent**

required

boolean

**parent**

required

integer format: int64

**vnum**

required

integer format: int64

**fields**

required

Array<object> | null

object

**group**

required

string

**key**

required

string

**label**

required

string

**max**

required

integer format: int64

**min**

required

integer format: int64

**flags**

required

Array<object> | null

object

**description**

required

string

**editable**

required

boolean

**enabled**

required

boolean

**key**

required

string

**label**

required

string

**min\_level**

required

integer format: int64

**inventory**

required

Array<object> | null

object

**container**

required

boolean

**count**

required

integer format: int64

**index**

required

integer format: int64

**locate**

required

integer format: int64

**name**

required

string

**no\_rent**

required

boolean

**parent**

required

integer format: int64

**vnum**

required

integer format: int64

**last\_saved\_at**

required

string | null format: date-time

**name**

required

string

**revision**

required

string

**slots**

required

Array<object> | null

object

**locate**

required

integer format: int64

**name**

required

string

**values**

required

object

**_key_**

additional properties

integer format: int64

#### Example generated

```
{  "equipment": [    {      "container": true,      "count": 1,      "index": 1,      "locate": 1,      "name": "example",      "no_rent": true,      "parent": 1,      "vnum": 1    }  ],  "fields": [    {      "group": "example",      "key": "example",      "label": "example",      "max": 1,      "min": 1    }  ],  "flags": [    {      "description": "example",      "editable": true,      "enabled": true,      "key": "example",      "label": "example",      "min_level": 1    }  ],  "inventory": [    {      "container": true,      "count": 1,      "index": 1,      "locate": 1,      "name": "example",      "no_rent": true,      "parent": 1,      "vnum": 1    }  ],  "last_saved_at": "2026-04-15T12:00:00Z",  "name": "example",  "revision": "example",  "slots": [    {      "locate": 1,      "name": "example"    }  ],  "values": {    "additionalProperty": 1  }}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
